Subject: outreachy

From: [email-masked] (Greg KH)
Date: Mon, 20 Mar 2017 11:30:08 +0100

On Mon, Mar 20, 2017 at 11:20:32AM +0100, Pavel Machek wrote:
> Hi!
> 
> > > > Hah!  That's the joy of being a maintainer of a driver in staging.  Even
> > > > if you filter out outreachy, you are going to get a lot of "basic
> > > > mistakes" and other type patches cc:ed to you.
> > > >
> > > > I strongly suggest, that if you all don't like this type of stuff,
> > > > either:
> > > > 	- work to get the code out of staging as soon as possible (i.e.
> > > > 	  send me coding style fixes for everything right now, and then
> > > > 	  fix up the rest of the stuff.)
> > > > 	- take yourself off the maintainer list for this code.
> > > >
> > > > It's your choice, outreachy right now is a lot of patches, but again,
> > > > it's not going to keep you from getting the "basic" stuff sent to you
> > > > in ways that is totally wrong.
> > >
> > > Could we get these trivial patches off the lkml? Yes, lkml already has
> > > a lot of traffic, but no, this is not useful :-(.
> > 
> > The outreachy instructions say to use the -nol argument to
> > get_maintainers, which would prevent them from being sent to any mailing
> > list.  However others thought that all patches should be sent to mailing
> > lists, and so I haven't enforced anything for people who have omitted
> > -nol.  However I have tried to remove bcm maintainers from CC lists on
> > replies and reminded people not to send you patches,
> 
> Wonderful :-(.
> 
> Can we at least make  those people put the word "outreachy" in the
> subject so the emails are easier to delete?

It's easy for you to filter away as-is if you want to to by just looking
at the cc: list for outreachy right now, don't make a new step for
people to jump through because you don't want to be bothered.  You only
have 10 more days of it if you want to just ignore any patch until
then...

greg k-h